aboutsummaryrefslogtreecommitdiff
path: root/t/t9600-cvsimport.sh
diff options
context:
space:
mode:
Diffstat (limited to 't/t9600-cvsimport.sh')
-rwxr-xr-xt/t9600-cvsimport.sh20
1 files changed, 18 insertions, 2 deletions
diff --git a/t/t9600-cvsimport.sh b/t/t9600-cvsimport.sh
index 08f0f2a3a..7706430d8 100755
--- a/t/t9600-cvsimport.sh
+++ b/t/t9600-cvsimport.sh
@@ -3,13 +3,29 @@
test_description='git-cvsimport basic tests'
. ./test-lib.sh
-if ! ( type cvs && type cvsps ) >/dev/null 2>&1
+if ! type cvs >/dev/null 2>&1
then
- test_expect_success 'skipping cvsimport tests, cvs/cvsps not found' ''
+ say 'skipping cvsimport tests, cvs not found'
test_done
exit
fi
+cvsps_version=`cvsps -h 2>&1 | sed -ne 's/cvsps version //p'`
+case "$cvsps_version" in
+2.1)
+ ;;
+'')
+ say 'skipping cvsimport tests, cvsps not found'
+ test_done
+ exit
+ ;;
+*)
+ say 'skipping cvsimport tests, cvsps too old'
+ test_done
+ exit
+ ;;
+esac
+
CVSROOT=$(pwd)/cvsroot
export CVSROOT
# for clean cvsps cache